Bug 1787419 - Review Request: python-email-validator - A robust email syntax and deliverability validation library
Summary: Review Request: python-email-validator - A robust email syntax and deliverabi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1733680 python-pydantic
TreeView+ depends on / blocked
 
Reported: 2020-01-02 18:55 UTC by Fabian Affolter
Modified: 2020-01-24 17:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-06 20:25:09 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-01-02 18:55:58 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-email-validator.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-email-validator-1.0.5-1.fc31.src.rpm

Project URL: https://github.com/JoshData/python-email-validator

Description:
This library validates that address are of the form x@y.com. This is the sort
of validation you would want for a login form on a website.

Key features:

- Good for validating email addresses used for logins/identity.
- Friendly error messages when validation fails (appropriate to show to end
  users).
- (optionally) Checks deliverability: Does the domain name resolve?
- Supports internationalized domain names and (optionally) internationalized
  local parts.
- Normalizes email addresses (important for internationalized addresses!).

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=40051774

rpmlint output:
$ rpmlint python-email-validator-1.0.5-1.fc31.src.rpm 
python-email-validator.src: W: spelling-error Summary(en_US) deliverability -> deliver ability, deliver-ability, venerability
python-email-validator.src: W: spelling-error %description -l en_US logins -> losing, login, loins
python-email-validator.src: W: spelling-error %description -l en_US deliverability -> deliver ability, deliver-ability, venerability
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


$ rpmlint python3-email-validator-1.0.5-1.fc31.noarch.rpm 
python3-email-validator.noarch: W: spelling-error Summary(en_US) deliverability -> deliver ability, deliver-ability, venerability
python3-email-validator.noarch: W: spelling-error %description -l en_US logins -> losing, login, loins
python3-email-validator.noarch: W: spelling-error %description -l en_US deliverability -> deliver ability, deliver-ability, venerability
python3-email-validator.noarch: W: no-manual-page-for-binary email_validator
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-01-06 19:21:09 UTC
 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Fabian Affolter 2020-01-06 19:40:51 UTC
Thanks for the review.

Comment 3 Fabian Affolter 2020-01-06 19:49:54 UTC
*** Bug 1733683 has been marked as a duplicate of this bug. ***

Comment 4 Susi Lehtola 2020-01-06 20:25:09 UTC

*** This bug has been marked as a duplicate of bug 1733683 ***

Comment 5 Gwyn Ciesla 2020-01-06 20:25:51 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-email-validator

Comment 6 Susi Lehtola 2020-01-06 21:12:00 UTC
Damn it, I put in the wrong bugzilla id...

This request should not have been opened, as it was a duplicate of a review approved a half year before.

Comment 7 Fedora Update System 2020-01-07 07:52:45 UTC
FEDORA-2020-f147077561 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-f147077561

Comment 8 Fedora Update System 2020-01-07 07:57:15 UTC
FEDORA-2020-256842b4a8 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-256842b4a8

Comment 9 Fedora Update System 2020-01-07 08:06:38 UTC
FEDORA-EPEL-2020-71cb60255e has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-71cb60255e

Comment 10 Fedora Update System 2020-01-08 11:19:38 UTC
python-email-validator-1.0.5-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-256842b4a8

Comment 11 Fedora Update System 2020-01-08 11:20:45 UTC
python-email-validator-1.0.5-2.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-71cb60255e

Comment 12 Fedora Update System 2020-01-08 14:15:49 UTC
python-email-validator-1.0.5-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f147077561

Comment 13 Fedora Update System 2020-01-16 22:29:47 UTC
python-email-validator-1.0.5-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-01-17 05:05:36 UTC
python-email-validator-1.0.5-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-01-24 17:42:54 UTC
python-email-validator-1.0.5-2.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.